<?php
/** @var $gmDB
 * @var  $gmCore
 * @var  $gmGallery
 * @var  $gallery
 * @var  $module
 * @var  $settings
 * @var  $terms
 * @var  $gmedia
 * @var  $is_bot
 * @var  $is_mob
 **/
$content = array();
if ( ! isset( $shortcode_raw ) ) {
	$shortcode_raw = false;
}
foreach ( $terms as $term ) {

	$c = array(
		'gid'         => $term->term_id,
		'title'       => $term->name,
		'description' => str_replace( array( "\r\n", "\r", "\n" ), '', wpautop( $term->description ) ),
		'data'        => array(),
	);

	foreach ( $gmedia[ $term->term_id ] as $item ) {
		$type = substr( $item->mime_type, 0, 5 );
		if ( ( 'image' != $type ) && ( 'video' != $type ) ) {
			continue;
		}
		$meta      = $gmDB->get_metadata( 'gmedia', $item->ID );
		$_metadata = isset( $meta['_metadata'] ) ? $meta['_metadata'][0] : array();
		$alttext   = ! empty( $meta['_image_alt'][0] ) ? $meta['_image_alt'][0] : $item->title;

		$c['data'][] = array(
			'id'          => $item->ID,
			'type'        => $type,
			'file'        => $item->gmuid,
			'title'       => $item->title,
			'alt'         => $alttext,
			'description' => str_replace( array( "\r\n", "\r", "\n" ), '', wpautop( $item->description ) ),
			'link'        => $item->link,
			'date'        => $item->date,
			'meta'        => $_metadata,
		);
	}
	if ( ! count( $c['data'] ) ) {
		continue;
	}
	$content[] = $c;
}

if ( ! empty( $content ) ) {
	$settings = array_merge( $settings, array(
		'ID'         => $id,
		'name'       => $gallery['name'],
		'moduleUrl'  => $module['url'],
		'pluginUrl'  => $gmCore->gmedia_url,
		'libraryUrl' => $gmCore->upload['url'],
		'key'        => $gmGallery->options['license_key'],
	) );
	if ( defined( 'GMEDIACLOUD_PAGE' ) ) {
		$settings['sliderWidth']  = '100%';
		$settings['sliderHeight'] = '100%';
	}
	$json_settings = json_encode( $settings );
	$allsettings   = array_merge( $module['options'], $settings );
	if ( 'fade' == $allsettings['transitionType'] ) {
		$allsettings['globalCaption'] = '0';
	}
	if ( $is_mob && ( defined( 'GMEDIACLOUD_PAGE' ) || function_exists( 'gmediacloud_realslider_mobile_body_class' ) ) && strstr( $allsettings['sliderHeight'], '%' ) ) {
		add_filter( 'gmedia_body_class', 'gmediacloud_realslider_mobile_body_class' );
	}

	$customCSS = "@import \"{$module['url']}/css/skins/skin-{$allsettings['skin']}.css\";" . $customCSS;

	$style = 'width:' . ( strpos( $allsettings['sliderWidth'], '%' ) ? $allsettings['sliderWidth'] : intval( $allsettings['sliderWidth'] ) . 'px' ) . ';';
	$style .= 'height:' . ( ( '1' == $allsettings['autoHeight'] ) ? 'auto' : ( strpos( $allsettings['sliderHeight'], '%' ) ? $allsettings['sliderHeight'] : intval( $allsettings['sliderHeight'] ) . 'px' ) ) . ';';
	$style .= $is_bot ? '' : 'opacity:0;';
	?>
	<div style="<?php echo $style; ?>" class="realSlider no-js gm-<?php echo $allsettings['skin']; ?>-skin <?php echo 'rsImgScaleMode_' . $allsettings['imageScaleMode']; ?>"><?php
		$i     = 0;
		$video = false;
		foreach ( $content as $cat ) {
			foreach ( $cat['data'] as $item ) {
				if ( 'image' == $item['type'] ) {
					$web      = "{$settings['libraryUrl']}/{$gmGallery->options['folder']['image']}/{$item['file']}";
					$metadata = 'data-gmw="' . $item['meta']['web']['width'] . '" data-gmh="' . $item['meta']['web']['height'] . '"';
					if ( ! empty( $item['link'] ) ) {
						if ( stristr( $item['link'], 'youtube' ) || stristr( $item['link'], 'youtu.be' ) || stristr( $item['link'], 'vimeo' ) ) {
							$metadata .= ' data-gmVideo="' . $item['link'] . '"';
						} elseif ( $item['title'] ) {
							$url_host      = parse_url( $item['link'], PHP_URL_HOST );
							$base_url_host = parse_url( $gmCore->upload['url'], PHP_URL_HOST );
							if ( $url_host == $base_url_host || empty( $url_host ) ) {
								$link_target = '_self';
							} else {
								$link_target = '_blank';
							}
							$item['title'] = '<a target="' . $link_target . '" href="' . $item['link'] . '">' . $item['title'] . '</a>';
						}
					}
				} else {
					$meta = $gmDB->get_metadata( 'gmedia', $item['id'], '_metadata', true );
					if ( empty( $meta ) ) {
						$meta = $gmCore->wp_read_video_metadata( "{$gmCore->upload['path']}/{$gmGallery->options['folder']['video']}/{$item['gmuid']}" );
						$gmDB->update_metadata( $meta_type = 'gmedia', $item['id'], $meta_key = '_metadata', $meta );
					}
					$web      = $gmCore->gm_get_media_image( $item['id'], 'web' );
					$video    = "{$settings['libraryUrl']}/{$gmGallery->options['folder']['video']}/{$item['file']}";
					$metadata = 'data-gmVideo="' . $video . '" data-gmvw="' . $meta['width'] . '" data-gmvh="' . $meta['height'] . '"';
				}
				$caption_exists = ! ( empty( $item['title'] ) && empty( $item['description'] ) );
				if ( '0' == $allsettings['hideCaption'] ) {
					$captionClass = ( '1' == $allsettings['globalCaption'] ) ? 'gmCaption' : 'gmSlideText';
				} else {
					$captionClass = 'gmSlideText_hidden';
				}

				?>
				<div class="gmContent gmSlideId-<?php echo $item['id']; ?> gmSlideIndex-<?php echo ++ $i; ?>"><?php

				if ( 'thumbnails' == $allsettings['controlNavigation'] ) {
					$thumbFormat = '';
					if ( 'image' == $item['type'] ) {
						$thumb = "{$settings['libraryUrl']}/{$gmGallery->options['folder']['image_thumb']}/{$item['file']}";
						if ( ! empty( $allsettings['thumbs']['fillThumbCell'] ) && ( $item['meta']['thumb']['width'] < $item['meta']['thumb']['height'] ) ) {
							$thumbFormat = ' gmTmbVertical';
						}
					} else {
						$thumb = $gmCore->gm_get_media_image( $item['id'], 'thumb' );
					}
					?><a class="gmImg" <?php echo $metadata; ?> href="<?php echo $web; ?>"><img class="gmTmb<?php echo $thumbFormat; ?>" src="<?php echo $thumb; ?>" alt="<?php echo esc_attr( $item['alt'] ); ?>"/></a><?php
					if ( $caption_exists ) {
						?>
						<div class="<?php echo $captionClass; ?>"><?php
						if ( $item['title'] ) {
							?>
							<div class="gmTitle"><?php echo $item['title'] ?></div><?php
						}
						if ( $item['description'] ) {
							?>
							<div class="gmDescription"><?php echo $item['description'] ?></div><?php
						} ?></div><?php
					}
				} elseif ( 'tabs' == $allsettings['controlNavigation'] ) {
					?><a class="gmImg" <?php echo $metadata; ?> href="<?php echo $web; ?>"><?php if ( $item['title'] ) { ?><strong class="gmTmb"><?php echo $item['title']; ?></strong><?php } ?></a><?php
					if ( $item['description'] ) {
						?>
						<div class="<?php echo $captionClass; ?>"><?php echo $item['description']; ?></div><?php
					}
				} else {
					?><a class="gmImg" <?php echo $metadata; ?> href="<?php echo $web; ?>"></a><?php
					if ( $caption_exists ) {
						?>
						<div class="<?php echo $captionClass; ?>"><?php
						if ( $item['title'] ) {
							?>
							<div class="gmTitle"><?php echo $item['title'] ?></div><?php
						}
						if ( $item['description'] ) {
							?>
							<div class="gmDescription"><?php echo $item['description'] ?></div><?php
						}
						?></div><?php
					}
				} ?></div><?php
			}
		}
		?></div>
	<?php
	if ( empty( $settings['key'] ) ) {
		echo "<a class='gmlove' target='_blank' href='http://bit.ly/2snVAca'>" . __( 'Trial version - Get License', 'grand-media' ) . "</a>";
	}
	?>

	<?php if ( $video ) {
		$gmGallery->import_styles[] = $gmCore->gmedia_url . '/assets/mediaelement/mediaelementplayer.min.css';
		wp_enqueue_script( 'mediaelement' );
	}
	if ( $shortcode_raw ) {
		echo '<pre style="display:none">';
	} ?>
	<script type="text/javascript">
			document.addEventListener( 'DOMContentLoaded', function() {
				jQuery( function( $ ) {
					var settings = <?php echo $json_settings; ?>;
					$( '#GmediaGallery_<?php echo esc_attr( $id ); ?> .realSlider' ).realSlider( settings );
				} );
			} );
	</script><?php if ( $shortcode_raw ) {
		echo '</pre>';
	} ?>

	<?php
} else {
	echo GMEDIA_GALLERY_EMPTY;
}
