<?php
$default_options = array(
	'skin'                  => 'default',
	'sliderWidth'           => '100%',
	'sliderHeight'          => '500',
	'autoHeight'            => '0',
	'minAutoHeight'         => '30',
	'autoScaleSlider'       => '0',
	'autoScaleSliderWidth'  => '800',
	'autoScaleSliderHeight' => '450',
	'imageScaleMode'        => 'fit',
	'imageAlignCenter'      => '1',
	'imageScalePadding'     => '4',
	'controlNavigation'     => 'thumbnails',
	'arrowsNav'             => '1',
	'arrowsNavAutoHide'     => '1',
	'arrowsNavHideOnTouch'  => '0',
	'slidesSpacing'         => '8',
	'startSlideId'          => '0',
	'loop'                  => '0',
	'loopRewind'            => '0',
	'randomizeSlides'       => '0',
	'numImagesToPreload'    => '4',
	'slidesOrientation'     => 'horizontal',
	'transitionType'        => 'move',
	'transitionSpeed'       => '600',
	'navigateByClick'       => '1',
	'sliderDrag'            => '1',
	'sliderTouch'           => '1',
	'keyboardNavEnabled'    => '1',
	'minSlideOffset'        => '10',
	'thumbs'                => array(
		'drag'            => '1',
		'touch'           => '1',
		'orientation'     => 'horizontal',
		'arrows'          => '1',
		'spacing'         => '4',
		'arrowsAutoHide'  => '0',
		'autoCenter'      => '1',
		'fillThumbCell'   => '1',
		'transitionSpeed' => '600',
		'fitInViewport'   => '1',
		'firstMargin'     => '1',
		'appendSpan'      => '0',
	),
	'fullscreen'            => array(
		'enabled'     => '1',
		'keyboardNav' => '1',
		'buttonFS'    => '1',
		'nativeFS'    => '0',
	),
	'deeplinking'           => array(
		'enabled' => '0',
		'change'  => '0',
		'prefix'  => 'gmedia-',
	),
	'autoPlay'              => array(
		'enabled'      => '0',
		'stopAtAction' => '1',
		'pauseOnHover' => '1',
		'delay'        => '3000',
	),
	'visibleNearby'         => array(
		'enabled'               => '0',
		'centerArea'            => '0.6',
		'center'                => '1',
		'navigateByCenterClick' => '0',
		'breakpoint'            => '0',
		'breakpointCenterArea'  => '0.8',
	),
	'usePreloader'          => '1',
	'hideCaption'           => '0',
	'globalCaption'         => '1',
	'globalCaptionInside'   => '1',
	'addActiveClass'        => '1',
	'customCSS'             => '',
	'easeInOut'             => 'easeInOutSine',
	'easeOut'               => 'easeOutSine',
	'controlsInside'        => '1',
	'fadeinLoadedSlide'     => '1',
	'fadeInAfterLoaded'     => '1',
	'allowCSS3'             => '1',
);
$options_tree    = array(
	array(
		'label'  => 'Settings',
		'fields' => array(
			'skin'                  => array(
				'label'   => 'Skin',
				'tag'     => 'select',
				'attr'    => '',
				'text'    => '',
				'choices' => array(
					array(
						'label' => 'Default',
						'value' => 'default',
					),
					array(
						'label' => 'Inverted',
						'value' => 'default-inverted',
					),
					array(
						'label' => 'Minimal',
						'value' => 'minimal-white',
					),
					array(
						'label' => 'Universal',
						'value' => 'universal',
					),
				),
			),
			'sliderWidth'           => array(
				'label' => 'Slider Width',
				'tag'   => 'input',
				'attr'  => 'type="text"',
				'text'  => 'For GmediaCloud page width will be 100%',
			),
			'sliderHeight'          => array(
				'label' => 'Slider Height',
				'tag'   => 'input',
				'attr'  => 'data-autoheight="is:0" data-autoscaleslider="is:0"',
				'text'  => 'For GmediaCloud page width will be 100%',
			),
			'autoScaleSlider'       => array(
				'label' => 'Auto Scale Slider',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change" data-autoheight="not:1:0"',
				'text'  => 'Automatically updates slider height based on "Base Size"',
			),
			'autoScaleSliderWidth'  => array(
				'label' => 'Base Slider Width',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0" data-autoheight="is:0"',
				'text'  => '',
			),
			'autoScaleSliderHeight' => array(
				'label' => 'Base Slider Height',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0" data-autoheight="is:0"',
				'text'  => 'Slider will autocalculate the ratio based on these values<br><br>',
			),
			'autoHeight'            => array(
				'label' => 'Auto Height',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => "Scales and animates height based on current slide. Doesn't work with properties like 'Auto Scale Slider', 'Image Scale Mode' and 'Image Align Center'. Also 'Visible-nearby' option should be disabled.",
			),
			'minAutoHeight'         => array(
				'label' => 'Minimal Auto Height',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0" data-autoheight="is:1"',
				'text'  => 'Minimal height when Auto Height is enabled',
			),
			'imageScaleMode'        => array(
				'label'   => 'Image Scale Mode',
				'tag'     => 'select',
				'attr'    => 'data-watch="change" data-autoheight="not:1:none"',
				'text'    => '',
				'choices' => array(
					array(
						'label' => 'Fill',
						'value' => 'fill',
					),
					array(
						'label' => 'Fit',
						'value' => 'fit',
					),
					array(
						'label' => 'Fit if smaller',
						'value' => 'fit-if-smaller',
					),
					array(
						'label' => 'None',
						'value' => 'none',
					),
				),
			),
			'imageAlignCenter'      => array(
				'label' => 'Image Align Center',
				'tag'   => 'checkbox',
				'attr'  => 'data-autoheight="not:1:0"',
				'text'  => 'Aligns image to center of slide',
			),
			'imageScalePadding'     => array(
				'label' => 'Image Padding',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0" data-imagescalemode="not:fill" data-autoheight="not:1"',
				'text'  => "Distance between image and edge of slide (doesn't work with 'fill' scale mode)",
			),
			'controlNavigation'     => array(
				'label'   => 'Navigation Type',
				'tag'     => 'select',
				'attr'    => '',
				'text'    => '',
				'choices' => array(
					array(
						'label' => 'Bullets',
						'value' => 'bullets',
					),
					array(
						'label' => 'Thumbnails',
						'value' => 'thumbnails',
					),
					array(
						'label' => 'Tabs',
						'value' => 'tabs',
					),
					array(
						'label' => 'None',
						'value' => 'none',
					),
				),
			),
			'arrowsNav'             => array(
				'label' => 'Direction arrows navigation',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'arrowsNavAutoHide'     => array(
				'label' => 'Auto hide arrows',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'arrowsNavHideOnTouch'  => array(
				'label' => 'Hide arrows completely on touch devices',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'slidesSpacing'         => array(
				'label' => 'Spacing between slides in pixels',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0"',
				'text'  => '',
			),
			'startSlideId'          => array(
				'label' => 'Start slide index',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0"',
				'text'  => '',
			),
			'loop'                  => array(
				'label' => 'Makes slider to go from last slide to first',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'loopRewind'            => array(
				'label' => 'Makes slider to go from last slide to first with rewind',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Overrides previous option',
			),
			'randomizeSlides'       => array(
				'label' => 'Randomizes all slides at start',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Do not use "Deep linking" with this option',
			),
			'numImagesToPreload'    => array(
				'label' => 'Number of slides to preload on sides',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0"',
				'text'  => 'If you set it to 0, only one slide will be kept in the display list at once',
			),
			'slidesOrientation'     => array(
				'label'   => 'Slides orientation',
				'tag'     => 'select',
				'attr'    => '',
				'text'    => '',
				'choices' => array(
					array(
						'label' => 'Horizontal',
						'value' => 'horizontal',
					),
					array(
						'label' => 'Vertical',
						'value' => 'vertical',
					),
				),
			),
			'transitionType'        => array(
				'label'   => 'Transition Type',
				'tag'     => 'select',
				'attr'    => '',
				'text'    => '',
				'choices' => array(
					array(
						'label' => 'Move',
						'value' => 'move',
					),
					array(
						'label' => 'Fade',
						'value' => 'fade',
					),
				),
			),
			'transitionSpeed'       => array(
				'label' => 'Slider transition speed, in ms',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0"',
				'text'  => '',
			),
			'navigateByClick'       => array(
				'label' => 'Navigates forward by clicking on slide',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'sliderDrag'            => array(
				'label' => 'Mouse drag navigation over slider',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Not work if "Transition Type" set to <em>Fade</em>',
			),
			'sliderTouch'           => array(
				'label' => 'Touch navigation of slider',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'keyboardNavEnabled'    => array(
				'label' => 'Navigate slider with keyboard left and right arrows',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'minSlideOffset'        => array(
				'label' => 'Minimum distance in pixels to show next slide while dragging',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0"',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Thumbnails',
		'key'    => 'thumbs',
		'fields' => array(
			'text_thumbs'    => array(
				'label' => '',
				'tag'   => 'textblock',
				'attr'  => '',
				'text'  => '<p>Options below will work only if "Navigation Type" set to <em>Thumbnails</em></p>',
			),
			'orientation'    => array(
				'label'   => 'Thumbnails bar orientation',
				'tag'     => 'select',
				'attr'    => '',
				'text'    => '',
				'choices' => array(
					array(
						'label' => 'Horizontal',
						'value' => 'horizontal',
					),
					array(
						'label' => 'Vertical',
						'value' => 'vertical',
					),
				),
			),
			'spacing'        => array(
				'label' => 'Spacing between thumbs',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0"',
				'text'  => '',
			),
			'arrows'         => array(
				'label' => 'Thumbnails arrows',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'arrowsAutoHide' => array(
				'label' => 'Auto hide thumbnails arrows on hover',
				'tag'   => 'checkbox',
				'attr'  => 'data-thumbs_arrows="is:1"',
				'text'  => '',
			),
			'autoCenter'     => array(
				'label' => 'Automatically centers container with thumbs if there are small number of items',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'fillThumbCell'  => array(
				'label' => 'Fill vertical thumbnail in thumb cell',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Fullscreen',
		'key'    => 'fullscreen',
		'fields' => array(
			'enabled'  => array(
				'label' => 'Fullscreen functions enabled',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'buttonFS' => array(
				'label' => 'Fullscreen button at top right',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'nativeFS' => array(
				'label' => 'Native browser fullscreen',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Deep linking',
		'key'    => 'deeplinking',
		'fields' => array(
			'enabled' => array(
				'label' => 'Linking to slides by appending <em>#SLIDE_INDEX</em> to url',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Slides count starts from 1. If "<b>Change URL</b>" is set to false hash is only read once, after page load',
			),
			'change'  => array(
				'label' => 'Change URL',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Automatically change URL after transition and listen for hash change',
			),
			'prefix'  => array(
				'label' => 'Prefix that will be added to hash',
				'tag'   => 'input',
				'attr'  => 'type="text"',
				'text'  => "For example if you set it to 'gallery-', hash would look like this: <em>#gallery-5</em>",
			),
		),
	),
	array(
		'label'  => 'Autoplay',
		'key'    => 'autoPlay',
		'fields' => array(
			'enabled'      => array(
				'label' => 'Enable autoplay or not',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'stopAtAction' => array(
				'label' => 'Stop autoplay at first user action',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'pauseOnHover' => array(
				'label' => 'Pause autoplay on hover',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'delay'        => array(
				'label' => 'Delay between items in ms',
				'tag'   => 'input',
				'attr'  => 'type="number" min="200"',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Visible-nearby',
		'key'    => 'visibleNearby',
		'fields' => array(
			'enabled'    => array(
				'label' => 'Enable visible-nearby',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'center'     => array(
				'label' => 'Align Center',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Alignment of center image, if you uncheck this center image will be aligned to left',
			),
			'centerArea' => array(
				'label' => 'Ratio that determines area of center image',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0" max="1" step="0.05"',
				'text'  => 'For example for 0.6 - 60% of slider area will get center image and 20% for two images on sides',
			),
		),
	),
	array(
		'label'  => 'Advanced Settings',
		'fields' => array(
			'usePreloader'        => array(
				'label' => 'Enables spinning preloader',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'you may style it via CSS (class gmPreloader)',
			),
			'hideCaption'         => array(
				'label' => 'Hide captions for images',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'globalCaption'       => array(
				'label' => 'Use global caption element for slider (ignored if transition type set to Fade)',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'globalCaptionInside' => array(
				'label' => 'Move global caption element to image view element',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'customCSS'           => array(
				'label' => 'Custom CSS',
				'tag'   => 'textarea',
				'attr'  => 'cols="20" rows="10"',
				'text'  => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i><br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, anything you add here will override the default styles',
			)
			/*,
			'loveLink' => array(
				'label' => 'Display LoveLink?',
				'tag' => 'checkbox',
				'attr' => '',
				'text' => 'Selecting "Yes" will show the lovelink icon (codeasily.com) somewhere on the gallery'
			)*/
		),
	),
);
